Skip to content

Event Subscription Queues

Operations Summary

Method Endpoint Description
GET /api/event-subscription-queues/ List Event Subscription Queues
GET /api/event-subscription-queues/{uuid}/ Retrieve
DELETE /api/event-subscription-queues/{uuid}/ Delete

List Event Subscription Queues

1
2
3
4
http \
  GET \
  https://api.example.com/api/event-subscription-queues/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.backend_resource_req_o_enum import BackendResourceReqOEnum # (1)
from waldur_api_client.api.event_subscription_queues import event_subscription_queues_list # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = event_subscription_queues_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: BackendResourceReqOEnum
  2. API Source: event_subscription_queues_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { eventSubscriptionQueuesList } from 'waldur-js-client';

try {
  const response = await eventSubscriptionQueuesList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
event_subscription_uuid string (uuid)
o array Ordering

object_type string
offering_uuid string (uuid)
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
uuid string (uuid)
url string (uri)
event_subscription string (uri)
event_subscription_uuid string
offering_uuid string
object_type string Observable object type (e.g., 'resource', 'order')
queue_name string
vhost string
created string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/event-subscription-queues/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.event_subscription_queues import event_subscription_queues_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = event_subscription_queues_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: event_subscription_queues_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { eventSubscriptionQueuesRetrieve } from 'waldur-js-client';

try {
  const response = await eventSubscriptionQueuesRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
uuid string (uuid)
url string (uri)
event_subscription string (uri)
event_subscription_uuid string
offering_uuid string
object_type string Observable object type (e.g., 'resource', 'order')
queue_name string
vhost string
created string (date-time)

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/event-subscription-queues/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.event_subscription_queues import event_subscription_queues_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = event_subscription_queues_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: event_subscription_queues_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { eventSubscriptionQueuesDestroy } from 'waldur-js-client';

try {
  const response = await eventSubscriptionQueuesDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body